const express = require('express');
const Router = express.Router();
const SportController = require('../app/controllers/Sport.Controller.js');
const authorize = require('../app/service/authorize');
const autintiation = require("../app/middleware/authMiddleware");
// --------------------------------------------------- user/club
Router.post(`/add`, autintiation, authorize("admin","gamer"), SportController.add);
Router.post(`/update/:id`, autintiation, authorize("admin","gamer"), SportController.update);
Router.post(`/remove/:id`, autintiation, authorize("admin"), SportController.remove);
Router.post(`/block/:id`, autintiation, authorize("admin","gamer"), SportController.block);
Router.get(`/`, autintiation, authorize("admin","gamer"), SportController.all);
Router.get(`/league/:id`, autintiation, authorize("admin","gamer"), SportController.keyworid);
// --------------------------------------------------- user/club

module.exports = Router;